Bug 236417 - kdc.conf has default items in crazy locations
Summary: kdc.conf has default items in crazy locations
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: krb5
Version: 5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Nalin Dahyabhai
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-13 18:50 UTC by John T. Rose
Modified: 2007-11-30 22:07 UTC (History)
3 users (show)

Fixed In Version: RHEA-2007-0893
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-07 16:36:46 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2007:0893 normal SHIPPED_LIVE krb5 bug fix enhancement update 2007-10-30 15:11:36 UTC

Description John T. Rose 2007-04-13 18:50:42 UTC
Description of problem:
acl_file, dict_file, and admin_keytab are defined in the kdcdefaults stanza. It
seems they should be defined in the realms stanza to work properly. For example,
in the default configuration the dictionary won't be found or used.

Version-Release number of selected component (if applicable):
krb5-server-1.5-23

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Nalin Dahyabhai 2007-04-13 19:02:23 UTC
You're right. I have no idea why those are set there.

Comment 2 RHEL Product and Program Management 2007-04-13 19:24:11 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 4 Kostas Georgiou 2007-06-02 17:20:02 UTC
Note that in fc6 the selinux policy prevents the kadmin server to access the
dict file in /usr. My production kerberos servers are in rhel4 and it works
there but none of my kerberos servers have rhel5 yet so I cannot test there.
Just a heads up in case it does cause problems.

Comment 5 Nalin Dahyabhai 2007-06-25 06:13:15 UTC
CCing Dan so that he can track the policy change, moving to MODIFIED.

Comment 9 errata-xmlrpc 2007-11-07 16:36:46 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2007-0893.html



Note You need to log in before you can comment on or make changes to this bug.